Upload agent volatile knowledge
POST/api/v2/agent/:agentCode/volatileKnowledge
Upload agent volatile knowledge
Request
Path Parameters
agentCode stringrequired
The code of the agent this volatile knowledge belongs to.
Query Parameters
noExpiration boolean
Whether the knowledge should not expire. Default is false.
expirationDays int32
Number of days until expiration. Defaults to system configuration if not provided.
processEmbeddings boolean
Whether to process embeddings. Default is false.
culture string
Use this param to override the culture of the response. Options: - en (default) - es
- multipart/form-data
Body
Content string
CallbackUrl uri
File binary
Responses
- 200
- 400
- 401
- 403
- 404
- 500
OK
There was a validation error. Please check your request data.
- application/json
- Schema
- Example (from schema)
Schema
message stringnullable
errors
object
nullable
property name* string
{
"message": "string",
"errors": {}
}
The user is unauthorized or the session expired
The user does not have permission
If the agent is not found.
There was an unexpected error
Loading...